app-emulation / snapd

Service and tools for management of snap packages

Official package sites : http://snapcraft.io/ ·

v2.52 :: 0 :: gentoo

Modified
License
GPL-3 Apache-2.0 BSD BSD-2 LGPL-3-with-linking-exception MIT
Keywords
~amd64
USE flags
apparmor cgroup-hybrid forced-devmode gtk kde systemd

v2.51 :: 0 :: gentoo

Modified
License
GPL-3 Apache-2.0 BSD BSD-2 LGPL-3-with-linking-exception MIT
Keywords
~amd64
USE flags
apparmor cgroup-hybrid forced-devmode gtk kde systemd

v2.48 :: 0 :: gentoo

Modified
License
GPL-3 Apache-2.0 BSD BSD-2 LGPL-3-with-linking-exception MIT
Keywords
~amd64
USE flags
apparmor cgroup-hybrid forced-devmode gtk kde systemd

General

apparmor
Enable AppArmor support.
cgroup-hybrid
Default to hybrid (legacy) cgroup hierarchy instead of unified (modern).
forced-devmode
Automatically disable application confinement if feature detection fails.
gtk
Add support for x11-libs/gtk+ (The GIMP Toolkit)
kde
Add support for software made by KDE, a free software community
systemd
Enable use of systemd-specific libraries and features like socket activation or session tracking

kernel

linux
KERNEL setting for system using the Linux kernel

dev-libs / glib : The GLib library of C routines

sec-policy / apparmor-profiles : A collection of profiles for the AppArmor application security system

sys-apps / apparmor : Userspace utils and init scripts for the AppArmor application security system

sys-apps / systemd : System and service manager for Linux

sys-fs / squashfs-tools : tools to create and extract Squashfs filesystems

sys-libs / libcap : POSIX 1003.1e capabilities

sys-libs / libseccomp : high level interface to Linux seccomp filter

virtual / libudev : Virtual for libudev providers

dev-libs / glib : The GLib library of C routines

sec-policy / apparmor-profiles : A collection of profiles for the AppArmor application security system

sys-apps / apparmor : Userspace utils and init scripts for the AppArmor application security system

sys-apps / systemd : System and service manager for Linux

sys-fs / squashfs-tools : tools to create and extract Squashfs filesystems

sys-libs / libcap : POSIX 1003.1e capabilities

sys-libs / libseccomp : high level interface to Linux seccomp filter

virtual / libudev : Virtual for libudev providers

715360
app-emulation/snapd::gentoo-snappy depends on dev-vcs/bzr which is scheduled for removal
753695
app-emulation/snapd: App confinement not working
767820
app-emulation/snapd: ebuild forces systemd
806016
app-emulation/snapd-2.51: 'snap install hello-world' fails
811330
app-emulation/snapd: incompatibility with sys-fs/squashfs-tools-4.5
813067
app-emulation/snapd-2.51: snapd.apparmor.service fails due to empty directory
815240
app-emulation/snapd-2.52 with glib-2.70: libsnap-confine-private/test-utils.c:63:9: error: ‘g_spawn_check_exit_status’ is deprecated: Use 'g_spawn_check_wait_status' instead
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
app-emulation/snapd: Bump to version 2.52
Package-Manager: Portage-3.0.23, Repoman-3.0.3 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
app-emulation/snapd: Bump to version 2.51 and require squashfs-tools[lzma]
Snaps that use xz compression fail to install with squashfs-tools[-lzma]: error: cannot perform the following tasks: - Mount snap "snapd" (10492) (cannot run unsquashfs: ----- Filesystem uses xz compression, this is unsupported by this version Decompressors available: gzip -----) Reported-by: Artem Ilgamov <a.ilgamov@myhart.ru> Closes: https://bugs.gentoo.org/761523 Package-Manager: Portage-3.0.19, Repoman-3.0.3 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Zac Medico · gentoo
app-emulation/snapd: Remove old version 2.47.1-r1
Package-Manager: Portage-3.0.19, Repoman-3.0.3 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
app-emulation/snapd: add xfsprogs to BDEPEND
Closes: https://bugs.gentoo.org/761505 Reported-by: Artem Ilgamov <a.ilgamov@myhart.ru> Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
app-emulation/snapd: Bump to version 2.48
Package-Manager: Portage-3.0.10, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
app-emulation/snapd: don't set CGO_LDFLAGS
Solves errors like this with go-1.15: go build runtime/cgo: invalid flag in go:cgo_ldflag: -Wl,-O1 Closes: https://bugs.gentoo.org/756205 Package-Manager: Portage-3.0.10, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
app-emulation/snapd: Add apparmor REQUIRED_USE for !forced-devmode
Bug: https://bugs.gentoo.org/753695 Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Zac Medico · gentoo
app-emulation/snapd: 2.47.1-r1 revbump for bug 753695
Add USE=forced-devmode which can be disabled if you would like snapd to panic if its confinement feature detection fails. Bug: https://bugs.gentoo.org/753695 Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
app-emulation/snapd: Initial import
Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>